## iso-snapshot 23.02.13

=== debian/changelog ===
iso-snapshot (23.02.13) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 13 Feb 2023 17:00:35 +0200

mx-snapshot (23.1.01) mx; urgency=medium

  * Better handling if /etc/lsb-release is missing

 -- Adrian <adrian@mxlinux.org>  Wed, 18 Jan 2023 00:59:14 -0500

mx-snapshot (23.1) mx; urgency=medium

  * New translations

 -- Adrian <adrian@mxlinux.org>  Mon, 16 Jan 2023 19:59:39 -0500

mx-snapshot (22.12.04) mx; urgency=medium

  * Update copy-initrd-programs for luks2, see cli-shell-utils changelog

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Dec 2022 22:20:27 -0500

mx-snapshot (22.12.03) mx; urgency=medium

  * Fix: finding system editor

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Dec 2022 07:26:41 -0500

mx-snapshot (22.12.02) mx; urgency=medium

  * Fix: remove linefeed from cmdline boot parameter
  * Do not save build-in kernel parameter

 -- fehlix <fehlix@mxlinux.org>  Wed, 07 Dec 2022 17:38:50 -0500

mx-snapshot (22.12.01) mx; urgency=medium

  * Fix: set application display name

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Dec 2022 12:02:24 -0500

mx-snapshot (22.12) mx; urgency=medium

  * Read booted kernel options and set them as default when creating a snapshot

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Dec 2022 00:06:10 -0500

mx-snapshot (22.11) mx; urgency=medium

  * Add compressed kernel-modules handling. A mx-iso-template update is also required for this feature

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Nov 2022 18:26:08 -0500

mx-snapshot (22.10.05) mx; urgency=medium

  * Add custom boot options directly to GRUB menu

 -- Adrian <adrian@mxlinux.org>  Sun, 30 Oct 2022 19:37:17 -0400

mx-snapshot (22.10.04) mx; urgency=medium

  * Fix quoting for name/description strings

 -- Adrian <adrian@mxlinux.org>  Sun, 30 Oct 2022 10:32:39 -0400

mx-snapshot (22.10.03) mx; urgency=medium

  * Update /etc/mx-version and /etc/lsb-release files with the provided info

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Oct 2022 13:21:48 -0400

mx-snapshot (22.10.02) mx; urgency=medium

  ^ Execute a sync before automatic shutdown

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Oct 2022 07:47:56 -0400

mx-snapshot (22.10.01) mx; urgency=medium

  * Make it possible to select different checksum, not all or nothing
  * Provide more info about compression algorithms
  * Remove code targetting versions < Stretch
  * Add optional customization for name of the project, version, date, codename, boot options

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Oct 2022 00:53:23 -0400

mx-snapshot (22.10) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:07:26 -0400

mx-snapshot (22.9.02) mx; urgency=medium

  * Revert untested code that was creating some issues

 -- Adrian <adrian@mxlinux.org>  Fri, 09 Sep 2022 08:52:10 -0400

mx-snapshot (22.9.01) mx; urgency=medium

  * Fix calculating md5sum for linuxfs file

 -- Adrian <adrian@mxlinux.org>  Thu, 08 Sep 2022 16:15:36 -0400

mx-snapshot (22.9) mx; urgency=medium

  * Add exclusion for ~/.local/share/Steam (for Steam package install from steampowered.com)

 -- Adrian <adrian@mxlinux.org>  Wed, 07 Sep 2022 11:45:51 -0400

mx-snapshot (22.8.03) mx; urgency=medium

  * update hyper-v initrd modules

 -- fehlix <fehlix@mxlinux.org>  Wed, 31 Aug 2022 16:32:30 -0400

mx-snapshot (22.8.02) mx; urgency=medium

  * Adds a shutdown when done option (checkbox before starting in GUI and --shutdown CLI option)

 -- Adrian <adrian@mxlinux.org>  Tue, 23 Aug 2022 19:14:05 -0400

mx-snapshot (22.8.01) mx; urgency=medium

  * Use gio open instead of xdg-open to open documents

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 12:34:16 -0400

mx-snapshot (22.8) mx; urgency=medium

  * Fix: launching Firefox from Help
  * Translation update

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 16:41:43 -0400

mx-snapshot (22.7) mx; urgency=medium

  * translation update 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 12:30:30 -0400

mx-snapshot (22.6.02) mx; urgency=medium

  *  Fix: don't remove all exclusions when Exclude all is toggled off when one of the exclusions is removed

 -- Adrian <adrian@mxlinux.org>  Sat, 18 Jun 2022 12:21:56 -0400

mx-snapshot (22.6.01) mx; urgency=medium

  * Fix resetting accounts/respin mode

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 19:05:55 -0400

mx-snapshot (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Jun 2022 10:32:02 -0400

mx-snapshot (22.4.01) mx; urgency=medium

  * Make sure the output text is added at the end of output box (clicking inside the output box should not more the cursor arround and clobber text)
  * Don't run runuser command inside a login shell; it can create problems if user has scripts that output text at login

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Apr 2022 17:54:54 -0400

mx-snapshot (22.4) mx; urgency=medium

  * Check if output file already exits and ask user to change the name or remove the existent file.
  * Unbuffer mksqashfs if ran from CLI and if 'expect' package is installed.
  * Preserve /var/log/apache2 to make sure Apache starts.
  * Add option to man page.

 -- Adrian <adrian@mxlinux.org>  Tue, 12 Apr 2022 13:57:36 -0400

mx-snapshot (22.3.01) mx; urgency=medium

  * Minor: change system size info file name.

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Mar 2022 19:15:37 -0500

mx-snapshot (22.3) mx; urgency=medium

  * Save file system size info in a file under /antiX/ folder to be used by installer

 -- Adrian <adrian@mxlinux.org>  Sat, 12 Mar 2022 14:54:20 -0500

mx-snapshot (22.2.05) mx; urgency=medium

  * Fix missing blank space when searching for editor

 -- Adrian <adrian@mxlinux.org>  Fri, 18 Feb 2022 17:41:29 -0500

mx-snapshot (22.2.04) mx; urgency=medium

  * Add option to specify temporary work directory in /etc/mx-snapshot.conf file 


## iso-snapshot 23.02.24

=== debian/changelog ===
iso-snapshot (23.02.24) unstable; urgency=medium

  * Allow to put wordir in tmpfs or ramfs
  * If using a ramfs as a workdir, use available RAM instead of having to run with -o/--override-size

 -- anticapitalista <antix@operamail.com>  Thu, 23 Feb 2023 19:21:48 +0200

## iso-snapshot 23.04.12

=== debian/changelog ===
iso-snapshot (23.04.12) unstable; urgency=medium

  * update translations and desktop file

 -- anticapitalista <antix@operamail.com>  Wed, 12 Apr 2023 15:25:26 +0300

iso-snapshot (23.03.09) unstable; urgency=medium

  * Add option to change the default live kernel

 -- anticapitalista <antix@operamail.com>  Thu, 09 Mar 2023 16:00:29 +0200

## iso-snapshot 23.05.02

=== debian/changelog ===
iso-snapshot (23.05.02) unstable; urgency=medium

  * remove /usr/share/pixmaps/iso-snapshot.png from iso-snapshot-cli

 -- anticapitalista <antix@operamail.com>  Tue, 02 May 2023 11:04:47 +0300

## iso-snapshot 23.05.22

=== debian/changelog ===
iso-snapshot (23.05.22) unstable; urgency=medium

  * Fix to handle empty resulting boot parameter list

 -- anticapitalista <antix@operamail.com>  Mon, 22 May 2023 20:23:24 +0300

## iso-snapshot 23.07.03

=== debian/changelog ===
iso-snapshot (23.07.03) unstable; urgency=medium

  * desktop files in usr/share/applications

 -- anticapitalista <antix@operamail.com>  Mon, 03 Jul 2023 19:11:42 +0300

## iso-snapshot 24.06.15

=== debian/changelog ===
iso-snapshot (24.06.15) unstable; urgency=medium

  * various upstream improvements

 -- anticapitalista <antix@operamail.com>  Sat, 15 Jun 2024 12:46:27 +0300

## iso-snapshot 24.06.19

=== debian/changelog ===
iso-snapshot (24.06.19) unstable; urgency=medium

  * fixed brokn release

 -- anticapitalista <antix@operamail.com>  Wed, 19 Jun 2024 12:03:48 +0300

## iso-snapshot 24.07.02

=== debian/changelog ===
iso-snapshot (24.07.02) unstable; urgency=medium

  * use this 23.07.03 version until the latest gets fixed
  * rename to opverrite 'broken'newer version 

 -- anticapitalista <antix@operamail.com>  Tue, 02 Jul 2024 23:57:49 +0300

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_configure:
	dh_auto_configure -- iso-snapshot.pro

override_dh_auto_build:
	lrelease iso-snapshot.pro
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	gzip -kf manual/mx-snapshot.8
	gzip -kf manual/iso-snapshot-cli.8
	# build iso-snapshot
	dh_auto_build
	mv iso-snapshot iso-snapshot-binary
	# clean, reconfigure, and build iso-snapshot-cli
	dh_auto_clean
	dh_auto_configure -- iso-snapshot-cli.pro
	dh_auto_build
	# before installing move binary back and make a iso-snapshot-cli copy of .list file
	mv iso-snapshot-binary iso-snapshot
	cp iso-snapshot-exclude.list iso-snapshot-cli-exclude.list

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --no-automatic-dbgsym --parallel

## iso-snapshot 24.08.18

=== debian/changelog ===
iso-snapshot (24.08.18) unstable; urgency=medium

  * various upstream improvements

 -- anticapitalista <antix@operamail.com>  Sat, 17 Aug 2024 15:42:37 +0300

## iso-snapshot 24.10.10

=== debian/changelog ===
iso-snapshot (24.10.10) unstable; urgency=medium

  * fix broken symlink to /usr/local/share/excludes/iso-snapshot-exclude.list on iso-snapshot

 -- anticapitalista <antix@operamail.com>  Thu, 10 Oct 2024 15:30:04 +0300

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

DEB_BUILD_VERSION := $(shell dpkg-parsechangelog -S Version)

override_dh_auto_clean:
	dh_auto_clean
	rm -f manual/*.gz
	rm -f src/manual/*.gz
	rm -f translations/*.qm
	rm -f src/translations/*.qm

override_dh_auto_configure:
	dh_auto_configure -- iso-snapshot.pro

override_dh_auto_build:
	lrelease iso-snapshot.pro
	mv version.h version.h~
	echo "const QString VERSION {\"$(DEB_BUILD_VERSION)\"};" > version.h
	gzip -kf manual/iso-snapshot.8
	gzip -kf manual/iso-snapshot-cli.8
	# build iso-snapshot
	dh_auto_build
	mv iso-snapshot iso-snapshot-binary
	# clean, reconfigure, and build iso-snapshot-cli
	mv version.h~ version.h
	dh_auto_clean
	mv version.h version.h~
	echo "const QString VERSION {\"$(DEB_BUILD_VERSION)\"};" > version.h
	dh_auto_configure -- iso-snapshot-cli.pro
	dh_auto_build
	# before installing move binary back and make a iso-snapshot-cli copy of .list file
	mv iso-snapshot-binary iso-snapshot
	cp iso-snapshot-exclude.list iso-snapshot-cli-exclude.list

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

execute_after_dh_builddeb:
	mv version.h~ version.h

%:
	dh $@ --no-automatic-dbgsym --parallel

## iso-snapshot 25.10.08

=== translations-desktop-file/Makefile ===
#!/usr/bin/make -f

PKGNAM := $(basename $(dirname $(pwd)))-desktop

BUILD  := ./build
PO_DIR := ./po
XDGDIR := ./desktop-in

DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
DESKTOP    := $(addprefix $(BUILD)/,$(notdir $(basename $(DESKTOP_IN))))

ifneq ($(strip $(LINGUAS)),)
  LINGUAS := $(sort $(LINGUAS))
  $(file >$(PO_DIR)/LINGUAS)
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
else ifneq ($(wildcard $(PO_DIR)/LINGUAS),)
  LINGUAS := $(sort $(strip $(shell grep '^[[:space:]]*[a-z]' $(PO_DIR)/LINGUAS)))
else
  LINGUAS := $(sort $(basename $(notdir $(wildcard $(PO_DIR)/*.po))))
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
endif

all: clean desktop

locale: $(LOCALE)

$(BUILD)/locale/%/$(LCMSGS): $(PO_DIR)/%.po
	@mkdir -p $(BUILD)/locale/$*/LC_MESSAGES
	@echo "  " $@ 
	@msgfmt $< -o $@ 

desktop: $(DESKTOP)

$(BUILD)/%.desktop: $(XDGDIR)/%.desktop.in
	@mkdir -p $(BUILD)/
	@echo "  " $@ 
	msgfmt --desktop --template $< -d $(PO_DIR) -o $@ 
	@sed -i '/^#/d' $@
	@sed -i 's/[^\[_]*_//' $@
	@cp $(BUILD)/*.desktop ../

clean:
	-@rm  -f $(DESKTOP)
	-@rm -rf $(BUILD)

.PHONY: all clean desktop

=== debian/changelog ===
iso-snapshot (25.10.08) unstable; urgency=medium

  * include init-diversity edits to excludes files - thanks ProwlerGR

 -- anticapitalista <antix@operamail.com>  Wed, 08 Oct 2025 18:14:19 +0300

=== debian/control ===
Source: iso-snapshot
Section: admin
Priority: optional
Maintainer: anticapitalista <anticapitalista@riseup.net>
Homepage: https://mxlinux.org
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/anticapitalista/iso-snapshot

Package: iso-snapshot
Architecture: any
Depends: iso-template-antix | iso-template,
         remaster-antix,
         links2 | xdg-utils,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: iso-snapshot-antix
Replaces: iso-snapshot-antix
Description: iso-snapshot
 iso-snapshot is a tool used for creating a live-CD from the running system.

Package: iso-snapshot-cli
Architecture: any
Depends: iso-template-antix | iso-template,         
         libqt5gui5,
         remaster-antix,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6)
Conflicts: iso-snapshot-cli-antix
Replaces: iso-snapshot-cli-antix
Description: ISO Snapshoti CLI
 ISO Snapshot CLI is a tool used for creating a live-CD from the running system.
 This tool is the CLI-exclusive version of ISO Snapshot

## iso-snapshot 26.02.21

=== debian/changelog ===
iso-snapshot (26.02.21) unstable; urgency=medium

  * updates to iso-snapshot-cli-exclude.list & iso-snapshot-exclude.list
  * added gbp.conf for building with git-buildpackage
  * thanks ProwlerGR

 -- anticapitalista <antix@operamail.com>  Sat, 21 Feb 2026 20:33:45 +0200
